package views

import (
	"github.com/gorilla/mux"
	"net/http"
	"sonarqube-badge/router/middlewares"
	"sonarqube-badge/router/utils"
	"sonarqube-badge/templates"
)

func getIndex(res http.ResponseWriter, req *http.Request) {
	token, _ := utils.GetToken(req)
	templates.Layout(templates.Index(token), "Projects", req).Render(req.Context(), res)
}

func IndexRouter(r *mux.Router) {
	subrouter := r.PathPrefix("").Subrouter()
	subrouter.Use(middlewares.CheckJwtToken)
	subrouter.HandleFunc("/", getIndex).Methods("GET")
}
