package views

import (
	"github.com/gorilla/mux"
	"net/http"
	"sonarqube-badge/router/utils"
	"sonarqube-badge/templates"
)

func getLogin(res http.ResponseWriter, req *http.Request) {
	if _, err := utils.GetToken(req); err == nil {
		http.Redirect(res, req, "/", http.StatusFound)
		return
	}

	templates.Layout(templates.Login(), "Login", req).Render(req.Context(), res)
}

func getDisconnect(res http.ResponseWriter, req *http.Request) {
	disconnectCookie := http.Cookie{
		Name:   "jwt-token",
		MaxAge: -1,
		Value:  "",
	}
	http.SetCookie(res, &disconnectCookie)
	http.Redirect(res, req, "/login", 302)
}

func LoginRouter(r *mux.Router) {
	r.HandleFunc("/login", getLogin).Methods("GET")
	r.HandleFunc("/disconnect", getDisconnect).Methods("GET")
}
