package views

import (
	"github.com/gorilla/mux"
	"net/http"
	"sonarqube-badge/router/middlewares"
	"sonarqube-badge/router/utils"
	"sonarqube-badge/templates"
)

func getUser(w http.ResponseWriter, r *http.Request) {
	_, _, user, isError := utils.VerifyUser(w, r)
	if isError {
		return
	}

	templates.Layout(templates.User(*user), "User Profile", r).Render(r.Context(), w)
}

func UserRouter(r *mux.Router) {
	sr := r.PathPrefix("").Subrouter()
	sr.Use(middlewares.CheckJwtToken)
	sr.HandleFunc("/user", getUser).Methods("GET")
}
